/*
 * @Author: zc
 * @description 话务管理 - 黑白名单
 */
import request from '@/utils/request';
/**
 * @description 获取黑名单列表
 * @param {object} params
 * @return {*}
 */
export const getBlackListXT = (params?: object) => {
	return request({
		url: `/api/v1/CallNativeContrroller/get-black-phone-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 新增黑名单
 * @param {object} data
 * @return {*}
 */
export const addBlackListXT = (data: object) => {
	return request({
		url: `/api/v1/CallNativeContrroller/add-black-phone`,
		method: 'post',
		data,
	});
};
/**
 * @description 删除黑名单
 * @param {string} phone
 * @return {*}
 */
export const deleteBlackListXT = (phone: string) => {
	return request({
		url: `/api/v1/CallNativeContrroller/delete-black-phone/${phone}`,
		method: 'delete',
	});
};
/**
 * @description 获取白名单列表
 * @param {object} params
 * @return {*}
 */
export const getWhiteListXT = (params?: object) => {
	return request({
		url: `/api/v1/CallNativeContrroller/get-white-phone-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 新增白名单
 * @param {object} data
 * @return {*}
 */
export const addWhiteListXT = (data: object) => {
	return request({
		url: `/api/v1/CallNativeContrroller/add-white-phone`,
		method: 'post',
		data,
	});
};
/**
 * @description 删除白名单
 * @param {string} phone
 * @return {*}
 */
export const deleteWhiteListXT = (phone: string) => {
	return request({
		url: `/api/v1/CallNativeContrroller/delete-white-phone/${phone}`,
		method: 'delete',
	});
};
/**
 * @description 获取黑白名单操作记录
 * @param {object} params
 * @return {*}
 */
export const getBlackWhiteListLogXT = (params?: object) => {
	return request({
		url: `/api/v1/CallNativeContrroller/get-white-black-log-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 校验号码是否是白名单
 * @param {string} phone
 * @return {*}
 */
export const verifyBlackListLogXT = (phone: string) => {
	return request({
		url: `/api/v1/CallNativeContrroller/verify-white-list/${phone}`,
		method: 'get',
	});
};
